(**
 * Generic debug utility
 *)
module Debug =
  struct

    let print s =
      if List.mem "-debug" (Array.to_list Sys.argv)
      then print_string s else ()

    let println s =
      if List.mem "-debug" (Array.to_list Sys.argv)
      then
	begin
	  print_string s;
	  print_newline ()
	end
      else ()

  end
;;
