
Module SYS_F_terms.

  Inductive type : Type :=
  | tvar ((* index *) i : nat)
  | tconst (n : nat)
  | tarrow (A : type) (B : type)
  | tall ((* bind type in *) A : type).

  Inductive term : Type :=
  | var ((* index *) x : nat)
  | app (t1 : term) (t2 : term)
  | lam (A : type) ((* bind term in *) t : term)
  | tapp (t : term) (A : type)
  | gen ((* bind type in *) t : term).

End SYS_F_terms.
